DEBUGFS_REMOVE_RECUR(9)

NAME
debugfs_remove_recursive - recursively removes a directory

SYNOPSIS

void debugfs_remove_recursive(struct dentry * dentry);

ARGUMENTS

dentry
    a pointer to a the dentry of the directory to be removed.

DESCRIPTION

This function recursively removes a directory tree in debugfs that was previously created with a call to another debugfs function (like debugfs_create_file or variants thereof.)

This function is required to be called in order for the file to be removed, no automatic cleanup of files will happen when a module is removed, you are responsible here.

COPYRIGHT